Bug 28450 - Make Account summary print tables configurable
Summary: Make Account summary print tables configurable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29820
  Show dependency treegraph
 
Reported: 2021-05-25 14:50 UTC by Katrin Fischer
Modified: 2022-01-07 19:31 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This patch adds table settings for the three tables (checkouts, fines and holds) which appear on the patron's "Print summary" view. This will allow the administrator to set a default configuration for columns on the print summary page.
Version(s) released in:
21.11.00


Attachments
Bug 28450: Make Account summary print tables configurable (146.77 KB, patch)
2021-10-12 13:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28450: Make Account summary print tables configurable (146.83 KB, patch)
2021-10-12 22:01 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 28450: Make Account summary print tables configurable (210.35 KB, patch)
2021-10-31 00:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28450: Make Account summary print tables configurable (19.64 KB, patch)
2021-11-03 12:11 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-05-25 14:50:26 UTC
It would be nice if the account summary slip was fully customizable, but as a first step it woudl be nice if the columns in the table of checkouts was configurable. 

For a library that doesn't charge any fines and fees it would be nice to be able to fully remove these columns.

There are also not many classes/ids to use here, I had tried to remove these columns using jQuery, but couldn't get it to work quite rigth with the summarized columns in the last line of the table.
Comment 1 Owen Leonard 2021-10-12 13:50:28 UTC Comment hidden (obsolete)
Comment 2 Lucas Gass 2021-10-12 22:01:51 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2021-10-31 00:55:25 UTC
I see that some tables have "cannot be toggled" greyed out by default. This might be a nice addition here too, but doesn't appear to be done consistently yet (OPAC tables) and so not a blocker for me.
Comment 4 Katrin Fischer 2021-10-31 00:56:09 UTC
Created attachment 127122 [details] [review]
Bug 28450: Make Account summary print tables configurable

This patch adds table settings for the three tables which appear on the
patron's "Print summary" view. This will allow the administrator to
set a default configuration for columns on the print summary page.

To test, apply the patch and restart-all to load the revised columns
settings YAML. Rebuild the staff interface SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Administration -> Table settings -> Circulation.
- Under the "Circulation tables" heading you should see a "Jump to" link
  to "print_summary."
- In the settings for the print_summary page you should see three
  tables: print-summary-checkouts, print-summary-fines, and
  print-summary-holds.
- Locate a patron account which has checkouts, fines, and holds.
  - From the patron detail view click "Print -> Print summary."
  - A new window should open with the print summary view. All tables
    should display correctly.
  - Test that the "Columns" buttons work correctly to show and hide
    columns.
- Make changes to the default settings for these tables to confirm that
  they work on the print summary page.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2021-11-03 12:11:10 UTC
Created attachment 127245 [details] [review]
Bug 28450: Make Account summary print tables configurable

This patch adds table settings for the three tables which appear on the
patron's "Print summary" view. This will allow the administrator to
set a default configuration for columns on the print summary page.

To test, apply the patch and restart-all to load the revised columns
settings YAML. Rebuild the staff interface SCSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

- Go to Administration -> Table settings -> Circulation.
- Under the "Circulation tables" heading you should see a "Jump to" link
  to "print_summary."
- In the settings for the print_summary page you should see three
  tables: print-summary-checkouts, print-summary-fines, and
  print-summary-holds.
- Locate a patron account which has checkouts, fines, and holds.
  - From the patron detail view click "Print -> Print summary."
  - A new window should open with the print summary view. All tables
    should display correctly.
  - Test that the "Columns" buttons work correctly to show and hide
    columns.
- Make changes to the default settings for these tables to confirm that
  they work on the print summary page.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2021-11-03 12:11:19 UTC
Last patch removes changes to staff-global.css (it contains git conflict markers).
Comment 7 Jonathan Druart 2021-11-03 14:30:58 UTC
Pushed to master for 21.11, thanks to everybody involved!